using System;
using static System.Console;
using static System.Math;

namespace DvaNiza
{
    internal class Program
{
        static void Main(string[] args)
        {
            int N = int.Parse(ReadLine());  
            int[] A = Array.ConvertAll(ReadLine().Split(), int.Parse);  
            int[] B = Array.ConvertAll(ReadLine().Split(), int.Parse);  
            long maxVrednost = 0;
            for (int L = 0; L < N; L++)  
            {
                int xorVrednost = 0; 
                int andVrednost = ~0; 

                for (int R = L; R < N; R++)  
                {
                    xorVrednost ^= A[R];
                    andVrednost &= B[R];
                    long currentValue = (long)xorVrednost * andVrednost;
                    maxVrednost = Math.Max(maxVrednost, currentValue);
                }
            }
            WriteLine(maxVrednost);
        }
    }
}